<?xml version="1.0" encoding="UTF-8"?>

<project name="opengion" default="compile"	basedir=".">

	<!-- バージョン番号を指定 -->
	<property name="release.version"  value="8" />
	<property name="javadoc.version"  value="8.1.3.X" />
	<property name="hayabusa.version" value="8.1.3.0" />
	<property environment="env" />

	<!-- ソースファイルがあるディレクトリ -->
	<property name="src.dir" value="${env.DEV_PATH}/src" />
	<property name="jsp.dir" value="${env.DEV_PATH}/jsp" />

	<property name="ge.dir"  value="${env.CORE_PATH}" />		<!-- 8.0.0.0 -->
	<property name="gf.dir"  value="${env.DEV_PATH}" />			<!-- 8.0.0.0 -->
	<property name="gg.dir"  value="${env.DEV_PATH}/../gg" />	<!-- 8.0.0.0 -->
	<property name="svn.dir" value="${env.SVN_DIR}" />			<!-- SVN の基準ディレクトリ -->

	<!-- クラスファイルを出力するディレクトリ -->
	<property name="classes.dir" value="${env.DEV_PATH}/WEB-INF/classes" />

	<!-- javadocを出力するディレクトリ -->
	<property name="javadoc.dir" value="${env.DEV_PATH}/doc/javadoc" />

	<!-- buildファイルを出力するディレクトリ -->
	<property name="build.dir" value="${env.DEV_PATH}/builds" />

	<!-- target=XMLでXMLファイルを出力する際にHttpConnectを行うポート番号 -->
	<property name="http.port" value="${env.CONNECTOR_PORT}" />

	<!-- HttpConnectを行う ログインユーザー、パス -->
	<property name="http.user" value="admin" />
	<property name="http.pass" value="admin" />

	<!-- 業務ロジックのJavaクラスがあるディレクトリ -->
	<property name="bizcls.dir" value="${env.DEV_PATH}/WEB-INF/biz" />

	<!-- 6.5.0.0 (2016/09/16) DBスクリプトの抜き出し(個別処理) target=tableout で、
		環境変数の DBTYPE で個別対応する場合の定数 -->
	<property name="db.type"	value="${env.DBTYPE}" />

	<!-- クラスパスの設定 -->
	<path id="og.classpath">
		<pathelement path="${env.CLASSPATH}" />
		<pathelement path="${env.DEV_PATH}/WEB-INF/classes" />

		<!-- JDK9 より拡張フォルダ(jre\lib\ext)が使えなくなりました。 -->
		<fileset dir="${env.EXT_DIR}"><include name="*.jar" /></fileset>
		<fileset dir="${env.CLD_DIR}"><include name="*.jar" /></fileset>
		<fileset dir="${env.CST_DIR}"><include name="*.jar" /></fileset>	<!-- 8.1.1.0 -->

	<!-- target=xml -->
		<!-- 個別にﾊﾞｰｼﾞｮﾝ指定するのではなく、ﾌｫﾙﾀﾞごと指定します。 -->
<!--
		<fileset dir="${env.CATALINA_HOME}/lib"><include name="*.jar" /></fileset>
-->
<!--
		<pathelement path="C:/ora18home/lib/oraclepki-21.4.0.0.1.jar" />
-->
		<pathelement path="${env.CATALINA_HOME}/lib/servlet-api.jar" />
		<pathelement path="${env.CATALINA_HOME}/lib/websocket-api.jar" />
		<pathelement path="${env.CATALINA_HOME}/lib/jsp-api.jar" />
		<pathelement path="${env.CATALINA_HOME}/lib/catalina.jar" />
		<pathelement path="${env.CATALINA_HOME}/lib/tomcat-jdbc.jar" />		<!-- org.apache.tomcat.jdbc.pool -->
<!--
		<pathelement path="${env.CATALINA_HOME}/lib/biz.aQute.bnd.annotation-6.1.0.jar" />
		<pathelement path="${env.CATALINA_HOME}/lib/osgi.annotation-8.0.1.jar" />
-->
<!-- 	<pathelement path="${env.CATALINA_HOME}/bin/tomcat-juli.jar" />		忘れそうなので、残しておきます。 -->
	</path>

	<!-- クラスパスのパラメータ設定(og.classpath が使えない箇所用) -->
	<property name="classes.path" refid="og.classpath" />

	<!-- ************************************************************************ -->
	<!-- * コンパイル target=compile (default)									  -->
	<!-- ************************************************************************ -->
	<target name="compile">
		<echo message="コンパイル" />

		<!-- 7.0.1.7 (2019/01/21) BuildNumber.javaが自己循環している為の対応 -->
		<!-- system/DateSet をコンパイルしています(BuildNumber.master 処理のため)。 -->
		<!-- javaのバージョン違いを先に処理するため、system 以下のｸﾗｽを作に作成します。 -->
		<javac encoding="UTF-8" classpathref="og.classpath" debug="true" debuglevel="lines,source" includeAntRuntime="no"
			srcdir="${src.dir}/org/opengion/fukurou/system/" destdir="${classes.dir}" includes="*.java" >
			<compilerarg value="-Xdoclint:all/package" />		<!-- Javadoc警告で、package縛り -->
			<compilerarg value="-Xlint:all" />
			<compilerarg value="-Xlint:-path" />				<!-- oraclepki.jar 警告: [path] 不正なパス要素 対策 -->
			<compilerarg value="-Xdiags:verbose" />
		</javac>

		<!-- DateSetを使用して、BuildNumber.java のソースコードを作成しています。 -->
		<!-- BUILD_TYPE を分単位に変更したため、同時に作成しないとずれてしまう。-->
		<java classname="org.opengion.fukurou.system.DateSet" classpathref="og.classpath">
			<arg value="${src.dir}/org/opengion/fukurou/system/BuildNumber.master" />
			<arg value="${src.dir}/org/opengion/fukurou/system/BuildNumber.java" />
			<arg value="VERSION_NO" />
			<arg value="${hayabusa.version}" />
			<arg value="BUILD_TYPE" />
			<arg value="Release${release.version}" />
		</java>

		<delete dir="${classes.dir}" />
		<delete dir="${bizcls.dir}" />
		<mkdir  dir="${classes.dir}" />

		<!-- fukurouパッケージをコンパイルしています。 -->
		<javac encoding="UTF-8" classpathref="og.classpath" debug="true" debuglevel="lines,source" includeAntRuntime="no"
			srcdir="${src.dir}" destdir="${classes.dir}" includes="org/opengion/fukurou/**/*.java" >
			<compilerarg value="-Xdoclint:all/package" />		<!-- Javadoc警告で、package縛り -->
			<compilerarg value="-implicit:none" />				<!-- 暗黙的コンパイルのポリシー -->
			<compilerarg value="-Xlint:all" />
			<compilerarg value="-Xlint:-path" />				<!-- oraclepki.jar 警告: [path] 不正なパス要素 対策 -->
			<compilerarg value="-Xdiags:verbose" />				<!-- 警告やエラーコメントを簡略化しません -->
		</javac>

		<!-- hayabusaパッケージをコンパイルしています。 -->
		<javac encoding="UTF-8" classpathref="og.classpath" debug="true" debuglevel="lines,source" includeAntRuntime="no"
			srcdir="${src.dir}" destdir="${classes.dir}" includes="org/opengion/hayabusa/**/*.java" >
			<compilerarg value="-Xdoclint:all/package" />		<!-- Javadoc警告で、package縛り -->
			<compilerarg value="-Xlint:all" />
			<compilerarg value="-Xlint:-path" />				<!-- oraclepki.jar 警告: [path] 不正なパス要素 対策 -->
			<compilerarg value="-Xdiags:verbose" />
			<!-- 注釈を要求するプロセッサパスの設定 -->
			<compilerarg line="-processorpath ${env.CATALINA_HOME}/lib/websocket-api.jar" />
		</javac>

		<!-- 6.4.2.0 (2016/01/29) DateSet のパッケージ変更(fukurou.util → fukurou.system) -->
		<!-- SystemData,BuildNumber から、GE12の初期値パラメータを抜き出します。 -->
		<javadoc encoding="UTF-8" public="true" classpathref="og.classpath"
			sourcefiles="${src.dir}/org/opengion/hayabusa/common/SystemData.java,${src.dir}/org/opengion/fukurou/system/BuildNumber.java">
			<doclet name="org.opengion.fukurou.taglet.DocTreeParam" path="${classes.path}" >
				<param name="-outfile" value="${src.dir}/org/opengion/hayabusa/common/GE12_Param_V8.xml" />
			</doclet>
		</javadoc>

		<!-- GE12 初期値パラメータを作成しています。 -->
		<!-- BUILD_TYPE を分単位に変更したため、同時に作成しないとずれてしまう。-->
		<java classname="org.opengion.fukurou.xml.XSLT" classpathref="og.classpath">
			<arg value="${src.dir}/org/opengion/hayabusa/common/GE12_Param_V8.xml" />
			<arg value="${src.dir}/org/opengion/hayabusa/common/GE12.xsl" />
			<arg value="${src.dir}/org/opengion/hayabusa/common/GE12.xml" />
		</java>

		<!-- GE12.xml を、classes にコピーする。(最初に classﾌｫﾙﾀﾞを削除しているので) -->
		<copy todir="${classes.dir}" preservelastmodified="true" overwrite="true">
			<fileset dir="${src.dir}" includes="org/opengion/hayabusa/common/GE12.xml" />
		</copy>

		<!-- pluginパッケージをコンパイルしています。 -->
		<javac encoding="UTF-8" classpathref="og.classpath" debug="true" debuglevel="lines,source" includeAntRuntime="no"
			srcdir="${src.dir}" destdir="${classes.dir}" includes="org/opengion/plugin/**/*.java" >
			<compilerarg value="-Xdoclint:all/package" />		<!-- Javadoc警告で、package縛り -->
			<compilerarg value="-Xlint:all" />
			<compilerarg value="-Xlint:-path" />				<!-- oraclepki.jar 警告: [path] 不正なパス要素 対策 -->
			<compilerarg value="-Xdiags:verbose" />
		</javac>

		<!-- penguinパッケージをコンパイルしています。6.7.4.0 (2017/02/17) -->
		<javac encoding="UTF-8" classpathref="og.classpath" debug="true" debuglevel="lines,source" includeAntRuntime="no"
			srcdir="${src.dir}" destdir="${classes.dir}" includes="org/opengion/penguin/**/*.java" >
			<compilerarg value="-Xdoclint:all/package" />		<!-- Javadoc警告で、package縛り -->
			<compilerarg value="-Xlint:all" />
			<compilerarg value="-Xlint:-path" />				<!-- oraclepki.jar 警告: [path] 不正なパス要素 対策 -->
			<compilerarg value="-Xdiags:verbose" />
		</javac>

		<!-- cloudパッケージをコンパイルしています。8.0.1.0 (2021/10/22) -->
		<javac encoding="UTF-8" classpathref="og.classpath" debug="true" debuglevel="lines,source" includeAntRuntime="no"
			srcdir="${src.dir}" destdir="${classes.dir}" includes="org/opengion/cloud/**/*.java" >
			<compilerarg value="-Xdoclint:all/package" />		<!-- Javadoc警告で、package縛り -->
			<compilerarg value="-Xlint:all" />
			<compilerarg value="-Xlint:-path" />				<!-- oraclepki.jar 警告: [path] 不正なパス要素 対策 -->
			<compilerarg value="-Xdiags:verbose" />
		</javac>

		<!-- javaScript を圧縮処理しています。 5.2.1.0 (2010/10/01) -->

		<!-- リソースファイルをWEB-INF/classes以下にコピーします。 6.4.3.1 (2016/02/12) -->
		<copy todir="${classes.dir}" preservelastmodified="true" overwrite="true">
			<fileset dir="${src.dir}" includes="org/opengion/fukurou/*.properties" />
		</copy>
		<copy todir="${classes.dir}" preservelastmodified="true" overwrite="true">
			<fileset dir="${src.dir}" includes="org/opengion/hayabusa/*.properties" />
		</copy>
	</target>

	<!-- ************************************************************************ -->
	<!-- * Jarファイル生成 target=jar											  -->
	<!-- ************************************************************************ -->
	<target name="jar">
		<echo message="Jarファイル生成" />

		<delete>
			<fileset dir="${src.dir}" includes="*.jar" />
		</delete>

		<!-- fukurouパッケージのjarファイルを生成 -->
		<jar jarfile="${src.dir}/fukurou${hayabusa.version}.jar" index="true">
			<fileset dir="${classes.dir}" includes="org/opengion/fukurou/**/*" />
		</jar>
		<!-- hayabusaパッケージのjarファイルを生成 -->
		<jar jarfile="${src.dir}/hayabusa${hayabusa.version}.jar" index="true">
			<fileset dir="${classes.dir}" includes="org/opengion/hayabusa/**/*" />
			<fileset dir="${src.dir}" includes="META-INF/hybs-taglib.tld" />
		</jar>
		<!-- pluginパッケージのjarファイルを生成 -->
		<jar jarfile="${src.dir}/plugin${hayabusa.version}.jar" index="true">
			<fileset dir="${classes.dir}" includes="org/opengion/plugin/**/*" />
		</jar>
		<!-- penguinパッケージのjarファイルを生成 6.7.4.0 (2017/02/17) -->
		<jar jarfile="${src.dir}/penguin${hayabusa.version}.jar" index="true">
			<fileset dir="${classes.dir}" includes="org/opengion/penguin/**/*" />
		</jar>
		<!-- cloudパッケージのjarファイルを生成 8.0.1.0 (2021/10/22) -->
		<jar jarfile="${src.dir}/cloud${hayabusa.version}.jar" index="true">
			<fileset dir="${classes.dir}" includes="org/opengion/cloud/**/*" />
		</jar>

		<!-- META-INF/resourcesのjarファイルを生成 -->
		<delete dir="${src.dir}/META-INF/resources" />
		<copy todir="${src.dir}/META-INF/resources/jsp" preservelastmodified="true" overwrite="true">
			<fileset dir="${jsp.dir}" includes="common/**,icon/**,image/**,menu/**" excludes="**/backup/**,**/Thumbs.db" />
		</copy>

		<jar jarfile="${src.dir}/jspCommon${hayabusa.version}.jar" index="true">
			<fileset dir="${src.dir}" includes="META-INF/resources/**/*" />
		</jar>

		<!-- 6.4.0.4 (2015/12/18) ge/db/resource の jar を作成して、初期読み込みするようにする。 -->
		<!-- 7.0.1.3 (2018/11/12) 帳票関連のリソース作成の停止 -->
		<jar jarfile="${src.dir}/resourceGE${hayabusa.version}.jar" index="true">
			<fileset dir="${ge.dir}/db" includes="resource/**/*.xml" excludes="**/backup/**,resource/**/GE5*.xml" />
		</jar>

		<!-- 8.1.0.1 (2022/01/07) GEのBASEのみのﾘｿｰｽ作成 -->
		<jar jarfile="${src.dir}/resourceBASE${hayabusa.version}.jar" index="true">
			<fileset dir="${ge.dir}/db" includes="resource/**/*_0.xml" excludes="**/backup/**,resource/**/GE5*.xml" />
		</jar>

		<!-- 6.4.0.4 (2015/12/18) gf/db/resource の jar を作成して、初期読み込みするようにする。 -->
		<jar jarfile="${src.dir}/resourceGF${hayabusa.version}.jar" index="true">
			<fileset dir="${gf.dir}/db" includes="resource/**/*.xml" />
		</jar>

		<!-- 7.4.2.0 (2021/04/30) gg/db/resource の jar を作成して、初期読み込みするようにする。 -->
		<jar jarfile="${src.dir}/resourceGG${hayabusa.version}.jar" index="true">
			<fileset dir="${gg.dir}/db" includes="resource/**/*.xml" excludes="**/backup/**" />
		</jar>

		<!-- 7.4.2.0 (2021/05/14) gg/jsp の jar を作成して、gg/src にコピーしておきます。 -->
		<!-- META-INF/resourcesのjarファイルを生成 -->
		<!-- 8.0.1.0 (2021/10/22) gg の jsp の jar化は、一旦保留にします。-->
		<!--
			<delete dir="${gg.dir}/src/META-INF/resources" />
			<copy todir="${gg.dir}/src/META-INF/resources"		preservelastmodified="true" overwrite="true">
				<fileset dir="${gg.dir}" includes="jsp/**"		excludes="**/backup/**,**/Thumbs.db" />
				<fileset dir="${gg.dir}" includes="src/biz/**"	excludes="**/backup/**,**/Thumbs.db" />
			</copy>

			<jar jarfile="${src.dir}/gg${hayabusa.version}.jar" index="true">
				<fileset dir="${gg.dir}/src" includes="META-INF/resources/**/*" />
			</jar>
		-->

		<!-- 8.0.0.0 共通jarを定数化していく -->
		<property name="jarfile" value="fukurou*.jar,hayabusa*.jar,plugin*.jar,penguin*.jar,cloud*.jar,jspCommon*.jar" />

		<!-- jar 作成時に、ge(CORE_PATH環境)の反映も行います。-->
		<delete>
			<fileset dir="${ge.dir}/WEB-INF/lib"	includes="${jarfile},resourceGE*.jar" />
			<fileset dir="${gf.dir}/WEB-INF/lib"	includes="${jarfile},resourceGF*.jar" />
			<fileset dir="${gg.dir}/WEB-INF/lib"	includes="${jarfile},resourceGG*.jar" />
		</delete>

		<copy todir="${ge.dir}/WEB-INF/lib" preservelastmodified="true" overwrite="true">
			<fileset dir="${src.dir}" includes="${jarfile},resourceGE*.jar" />
		</copy>
		<copy todir="${gf.dir}/WEB-INF/lib" preservelastmodified="true" overwrite="true">
			<fileset dir="${src.dir}" includes="${jarfile},resourceGF*.jar" />
		</copy>
		<copy todir="${gg.dir}/WEB-INF/lib" preservelastmodified="true" overwrite="true">
			<fileset dir="${src.dir}" includes="${jarfile},resourceGG*.jar" />
		</copy>
	</target>

	<!-- ************************************************************************ -->
	<!-- * taglib xml生成 target=taglib											  -->
	<!-- ************************************************************************ -->
	<target name="taglib">
		<echo message="taglib生成" />

		<!-- DBdoc用のXMLファイルを生成 -->
		<!-- 7.4.4.0 (2021/06/30) taglet廃止し、taglet2のソースをtagletへ移動した為、excludepackagenamesを削除します。 -->
		<javadoc encoding="UTF-8" public="true" sourcepath="${src.dir}"
			packagenames="org.opengion.hayabusa.taglib" classpathref="og.classpath" >
			<doclet name="org.opengion.fukurou.taglet.DocTreeTaglib" path="${classes.path}">	<!-- 5.5.4.1 (2012/07/06) path 変更 -->
				<param name="-version" value="${javadoc.version}" />
				<param name="-outfile" value="${src.dir}/xslt/javadoc_V8.xml" />
			</doclet>
		</javadoc>

		<java classname="org.opengion.fukurou.xml.XSLT" classpathref="og.classpath">
			<arg value="${src.dir}/META-INF/hybs-taglib.tld" />
			<arg value="${src.dir}/xslt/jspHilight.xsl" />
			<arg value="${src.dir}/xslt/jsp.hilight" />
		</java>
		<java classname="org.opengion.fukurou.xml.XSLT" classpathref="og.classpath">
			<arg value="${src.dir}/META-INF/hybs-taglib.tld" />
			<arg value="${src.dir}/xslt/jspHokan.xsl" />
			<arg value="${src.dir}/xslt/jsp.hokan.txt" />
		</java>
		<java classname="org.opengion.fukurou.xml.XSLT" classpathref="og.classpath">
			<arg value="${src.dir}/META-INF/hybs-taglib.tld" />
			<arg value="${src.dir}/xslt/GF21.xsl" />
			<arg value="${src.dir}/xslt/GF21.xml" />
		</java>
		<java classname="org.opengion.fukurou.xml.XSLT" classpathref="og.classpath">
			<arg value="${src.dir}/META-INF/hybs-taglib.tld" />
			<arg value="${src.dir}/xslt/GF22.xsl" />
			<arg value="${src.dir}/xslt/GF22.xml" />
		</java>
		<java classname="org.opengion.fukurou.xml.XSLT" classpathref="og.classpath">
			<arg value="${src.dir}/xslt/javadoc_V8.xml" />
			<arg value="${src.dir}/xslt/GF23.xsl" />
			<arg value="${src.dir}/xslt/GF23.xml" />
		</java>
		<java classname="org.opengion.fukurou.xml.XSLT" classpathref="og.classpath">
			<arg value="${src.dir}/xslt/javadoc_V8.xml" />
			<arg value="${src.dir}/xslt/GF24.xsl" />
			<arg value="${src.dir}/xslt/GF24.xml" />
		</java>
		<!-- 6.1.1.0 (2015/01/30) Taglib Document の ラベルリソース登録 -->
		<java classname="org.opengion.fukurou.xml.XSLT" classpathref="og.classpath">
			<arg value="${src.dir}/xslt/javadoc_V8.xml" />
			<arg value="${src.dir}/xslt/GEA08_A.xsl" />
			<arg value="${src.dir}/xslt/GEA08_A.xml" />
		</java>

		<javadoc encoding="UTF-8" public="true" sourcepath="${src.dir}" classpathref="og.classpath"
			packagenames="org.opengion.fukurou.*,org.opengion.hayabusa.*,org.opengion.plugin.*" >
			<doclet name="org.opengion.fukurou.taglet.DocTreePlugin" path="${classes.path}">
				<param name="-version" value="${javadoc.version}" />
				<param name="-outfile" value="${src.dir}/xslt/javadocAtt_V8.xml" />
			</doclet>
		</javadoc>

		<java classname="org.opengion.fukurou.xml.XSLT" classpathref="og.classpath">
			<arg value="${src.dir}/xslt/javadocAtt_V8.xml" />
			<arg value="${src.dir}/xslt/GF25.xsl" />
			<arg value="${src.dir}/xslt/GF25.xml" />
		</java>

		<java classname="org.opengion.fukurou.xml.XSLT" classpathref="og.classpath">
			<arg value="${src.dir}/xslt/javadocAtt_V8.xml" />
			<arg value="${src.dir}/xslt/GE12_pin.xsl" />
			<arg value="${src.dir}/xslt/GE12_pin.xml" />
		</java>

		<!-- 6.5.0.0 (2016/09/16) ﾀｸﾞﾘﾌﾞﾄﾞｷｭﾒﾝﾄのﾃﾞｰﾀなので、保存ﾌｫﾙﾀﾞを、common/xml/taglib に統一しておきます。 -->
		<!-- ﾀｸﾞﾘﾌﾞﾄﾞｷｭﾒﾝﾄのﾃﾞｰﾀをｺﾋﾟｰ (GF21,GF22,GF23,GF24,GF25) -->
		<copy todir="${gf.dir}/db/common/xml/taglib">
			<fileset dir="${src.dir}/xslt" includes="GF*.xml"     erroronmissingdir="false" />
			<fileset dir="${src.dir}/xslt" includes="GEA08_A.xml" erroronmissingdir="false" />	<!-- 6.5.0.0 (2016/09/16) 追加 -->
		</copy>

		<!-- 7.3.1.3 (2021/03/09) mis-dev02 にもコピーしてきます -->
		<property name="dev02.dir"	value="//mis-dev02/UAP/opengionV8/uap/webapps" />

		<copy todir="${dev02.dir}/gf/db/common/xml/taglib"  preservelastmodified="true" overwrite="true">
			<fileset dir="${gf.dir}/db/common/xml/taglib" includes="*.xml" erroronmissingdir="false" />
		</copy>
	</target>

	<!-- ************************************************************************ -->
	<!-- * Javadoc生成 target=javadoc											  -->
	<!-- * additionalparam="-J-Dhttp.proxyHost=mtc-px1.muratec.co.jp -J-Dhttp.proxyPort=8080" -->
	<!-- ************************************************************************ -->
	<target name="javadoc">
		<echo message="Javadoc生成" />

		<property name="proxy" value="-J-Dhttp.proxyHost=mtc-px1.muratec.co.jp -J-Dhttp.proxyPort=8080 -J-Dhttps.proxyHost=mtc-px1.muratec.co.jp -J-Dhttps.proxyPort=8080" />

		<!-- Javadocを生成 -->
		<!-- Ver7 から、Java10 で taglet 関係が削除されたため、excludepackagenames で、除外します。 -->
		<!-- 7.4.4.0 (2021/06/30) taglet廃止し、taglet2のソースをtagletへ移動した為、excludepackagenamesを削除します。 -->
		<javadoc encoding="UTF-8" charset="UTF-8" sourcepath="${src.dir}" packagenames="org.opengion.*"
			additionalparam="${proxy} --allow-script-in-comments -linksource -quiet"
			destdir="${javadoc.dir}V${release.version}"
			package="true" breakiterator="true" classpathref="og.classpath"
			overview="${src.dir}/org/opengion/hayabusa/overview.html"
			use="true"
			windowtitle="Webアプリケーションフレームワーク openGion"
			doctitle="Webアプリケーションフレームワーク &lt;b&gt;openGion&lt;/b&gt; ${javadoc.version}"
			header="&lt;table&gt;&lt;tr&gt;&lt;td&gt;&lt;img src=&quot;{@docRoot}/OpenGion64.PNG&quot; width=&quot;55&quot; height=&quot;55&quot; align=&quot;left&quot; alt=&quot;openGion&quot; border=&quot;0&quot; /&gt;&lt;b&gt;openGion&lt;/b&gt;&lt;br /&gt;${javadoc.version}&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;"
			bottom="Webアプリケーションフレームワーク &lt;b&gt;openGion&lt;/b&gt;&lt;br&gt;&lt;a href=&quot;http://sourceforge.jp/&quot;&gt;&lt;img src=&quot;http://sourceforge.jp/sflogo.php?group_id=4349&amp;type=1&quot; width=&quot;96&quot; height=&quot;31&quot; border=&quot;0&quot; alt=&quot;SourceForge.JP&quot; /&gt;&lt;/a&gt;Copyright (c) 2009 &lt;a href=&quot;http://www.opengion.org/&quot; target=&quot;_new&quot;&gt;The openGion Project. &lt;/a&gt;"
		>
			<arg value="-Xmaxwarns" />							<!-- 警告の最大件数を調整する -->
			<arg value="2000" />
			<tag name="og.value"		description="初期値:"		/>		<!-- 7.0.0.0 Taglet廃止に対する対応 -->
			<tag name="og.rev"			description="変更履歴:"		/>		<!-- 7.0.0.0 Taglet廃止に対する対応 -->
			<tag name="og.group"		description="機能分類"		/>
			<tag name="og.rtnNotNull"	description="このﾒｿｯﾄﾞは、nullを返しません" />	<!-- 7.0.0.0 Taglet廃止に対する対応 -->
			<tag name="og.doc03Link"	description="DOCﾘﾝｸ:"		/>		<!-- 7.0.0.0 Taglet廃止に対する対応 -->
			<tag name="og.formSample"	description="形式ｻﾝﾌﾟﾙ:"	/>		<!-- 7.0.0.0 Taglet廃止に対する対応 -->
			<tag name="og.tag"			description="説明:"			/>		<!-- 7.0.0.0 Taglet廃止に対する対応 -->
			<tag name="og.paramLevel"	enabled="false"				/>
			<tag name="og.cryptography"	enabled="false"				/>
			<tag name="version"			description="ﾊﾞｰｼﾞｮﾝ"		/>
			<tag name="author"			description="作成者"		/>
			<tag name="since"										/>
			<link href="https://docs.oracle.com/javase/jp/17/docs/api/"	/>
			<link href="https://tomcat.apache.org/tomcat-10.0-doc/servletapi/"	/>
			<link href="https://tomcat.apache.org/tomcat-10.0-doc/jspapi/"		/>
		</javadoc>

		<!-- API ドキュメント ZIP生成 -->
		<zip destfile="${gf.dir}/doc/opengionAPI_${javadoc.version}.zip">
			<fileset dir="${javadoc.dir}V${release.version}" />
		</zip>
	</target>

	<!-- ************************************************************************ -->
	<!-- * リソースXMLファイル生成 target=res	8.1.2.3 (2022/04/12) Add		  -->
	<!-- ************************************************************************ -->
	<target name="res">
		<echo message="リソースXMLファイル生成" />

		<!-- XML抜出の出力先フォルダを削除します。 -->
		<delete dir="${ge.dir}/filetemp/${http.user}/GE/db/resource/xml/update" />
		<delete dir="${ge.dir}/filetemp/${http.user}/GF/db/resource/xml/update" />
		<delete dir="${ge.dir}/filetemp/${http.user}/GG/db/resource/xml/update" />
		<!-- リソースフォルダを削除します。 -->
		<delete dir="${ge.dir}/db/resource/xml/update" />
		<delete dir="${gf.dir}/db/resource/xml/update" />
		<delete dir="${gg.dir}/db/resource/xml/update" />

		<!-- アドレスが長いので、パラメータ化します。 -->
		<property name="url.GE0009"	value="http://localhost:${http.port}/ge/jsp/GE0009/result.jsp" />
		<property name="url.prm1"	value="command=NEW&amp;maxRowCount=0&amp;FGJ=1&amp;EXT_SQL=DELETE&amp;" />

		<!-- **システムのリソースファイルを生成します。 -->
		<property name="url.GE0009.**"	value="SYSTEM_ID=GE&amp;AST=**&amp;TargetDB=RSC&amp;KBSAKU=0" />
		<echo message="${url.GE0009} **" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GE0009}?${url.prm1}${url.GE0009.**}" />
		</java>

		<!-- GEシステムのリソースファイルを生成します。 -->
		<property name="url.GE0009.GE"	value="SYSTEM_ID=GE&amp;TargetDB=RSC&amp;KBSAKU=1" />
		<echo message="${url.GE0009} GE" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GE0009}?${url.prm1}${url.GE0009.GE}" />
		</java>

		<!-- GFシステムのリソースファイルを生成します。 -->
		<property name="url.GE0009.GF"	value="SYSTEM_ID=GF&amp;TargetDB=RSC&amp;KBSAKU=1" />
		<echo message="${url.GE0009} GF" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GE0009}?${url.prm1}${url.GE0009.GF}" />
		</java>

		<!-- GGシステムのリソースファイルを生成します。 -->
		<property name="url.GE0009.GG"	value="SYSTEM_ID=GG&amp;TargetDB=RSC&amp;KBSAKU=2" />
		<echo message="${url.GE0009} GG" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GE0009}?${url.prm1}${url.GE0009.GG}" />
		</java>

		<!-- XML抜出の出力先フォルダから、リソースフォルダにコピーします。 -->
		<copy todir="${ge.dir}/db/resource/xml/update" preservelastmodified="true" overwrite="true" >
			<fileset dir="${ge.dir}/filetemp/${http.user}/GE/db/resource/xml/update" includes="*.xml" />
		</copy>
		<copy todir="${gf.dir}/db/resource/xml/update" preservelastmodified="true" overwrite="true" >
			<fileset dir="${ge.dir}/filetemp/${http.user}/GF/db/resource/xml/update" includes="*.xml" />
		</copy>
		<copy todir="${gg.dir}/db/resource/xml/update" preservelastmodified="true" overwrite="true" >
			<fileset dir="${ge.dir}/filetemp/${http.user}/GG/db/resource/xml/update" includes="*.xml" />
		</copy>
	</target>

	<!-- ************************************************************************ -->
	<!-- * XMLファイル生成 target=xml											  -->
	<!-- ************************************************************************ -->
	<target name="xml">
		<echo message="リソースXMLファイル生成" />

		<!-- リソース抜き出しワークを削除(resource) -->
		<delete dir="${ge.dir}/filetemp/${http.user}/GE/db/resource/xml/update" />
		<delete dir="${ge.dir}/filetemp/${http.user}/GF/db/resource/xml/update" />
		<delete dir="${ge.dir}/filetemp/${http.user}/GG/db/resource/xml/update" />	<!-- 8.0.0.0 GG 追加 -->

		<!-- アドレスが長いので、パラメータ化します。 -->
		<property name="url.GE0009"	value="http://localhost:${http.port}/ge/jsp/GE0009/result.jsp" />
		<property name="url.prm1"	value="command=NEW&amp;maxRowCount=0&amp;" />
		<!-- 6.8.1.3 CONDITION=%3D でエラーになったので、変更 -->
<!--	<property name="url.GE0009.GE"	value="SYSTEM_ID=GE&amp;AST=**&amp;TargetDB=RSC,RPT,RPD&amp;KBSAKU=0&amp;CONDITION=&amp;#0x3D;" />	-->
		<!-- 8.1.0.4 (2022/01/28) CONDITION廃止、EXT_SQL=DELETE 追加 -->
		<property name="url.GE0009.GE"	value="SYSTEM_ID=GE&amp;AST=**&amp;TargetDB=RSC,RPT,RPD&amp;KBSAKU=0&amp;FGJ=1&amp;EXT_SQL=DELETE" />

		<!-- GEシステムのリソースファイルを生成(作成区分=0) -->
		<!-- TargetDB=RSC,RPT,RPD で、リソース、帳票マスタ、帳票データを抜き出します。 -->
		<echo message="${url.GE0009} GE" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GE0009}?${url.prm1}${url.GE0009.GE}" />
		</java>

		<!-- 6.5.0.0 (2016/09/16) GE0009 が保存するﾌｫﾙﾀﾞを変更 -->
		<!-- 帳票システムのサンプルデータを抜き出し(GE) -->
		<!-- 7.0.1.4 (2018/11/26) 帳票システムのサンプルデータは除外します(GE)GE50.xml ～ GE58.xml -->
		<!-- GEA03_0.xml,GEA04_0.xml,GEA08_0.xml,GEA11_0.xml, -->
		<delete dir="${ge.dir}/db/resource/xml/update" />
		<copy todir="${ge.dir}/db/resource/xml/update" preservelastmodified="true" overwrite="true" >
			<fileset dir="${ge.dir}/filetemp/${http.user}/GE/db/resource/xml/update" erroronmissingdir="false" >
				<exclude name="**/GE12*" />
				<exclude name="**/GEA10*" />
				<exclude name="**/GE5*" />
			</fileset>
		</copy>

		<!-- アドレスが長いので、パラメータ化します。(property は、上書きできません。)-->
		<!-- 6.8.1.3 CONDITION=%3C%3D でエラーになったので、変更 -->
<!--	<property name="url.GE0009.GF"	value="SYSTEM_ID=GF&amp;TargetDB=RSC,RPT,RPD&amp;KBSAKU=1&amp;CONDITION=&amp;#0x3C;&amp;#0x3D;" />	-->
		<!-- 8.1.0.4 (2022/01/28) CONDITION廃止、EXT_SQL=DELETE 追加 -->
		<property name="url.GE0009.GF"	value="SYSTEM_ID=GF&amp;TargetDB=RSC,RPT,RPD&amp;KBSAKU=1&amp;FGJ=1&amp;EXT_SQL=DELETE" />

		<!-- GFシステムのリソースファイルを生成(作成区分=0,1) -->
		<!-- TargetDB=RSC,RPT,RPD で、リソース、帳票マスタ、帳票データを抜き出します。 -->
		<echo message="${url.GE0009} GF" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GE0009}?${url.prm1}${url.GE0009.GF}" />
		</java>

		<!-- 6.5.0.0 (2016/09/16) GE0009 が保存するﾌｫﾙﾀﾞを変更 -->
		<!-- 帳票システムのサンプルデータを抜き出し(GF) -->
		<!-- 7.0.1.4 (2018/11/26) 帳票システムのサンプルデータは除外します(GE)GE50.xml ～ GE58.xml -->
		<!-- GEA03_1.xml,GEA04_1.xml,GEA08_1.xml,GEA11_1.xml -->
		<delete dir="${gf.dir}/db/resource/xml/update" />
		<copy todir="${gf.dir}/db/resource/xml/update" >
			<fileset dir="${ge.dir}/filetemp/${http.user}/GF/db/resource/xml/update" erroronmissingdir="false" >
				<exclude name="**/GE12*" />
				<exclude name="**/GEA10*" />
				<exclude name="**/GE5*" />
			</fileset>
		</copy>

		<!-- アドレスが長いので、パラメータ化します。(property は、上書きできません。)-->
		<property name="url.GE0009.GG"	value="SYSTEM_ID=GG&amp;TargetDB=RSC,RPT,RPD&amp;KBSAKU=2&amp;FGJ=1&amp;EXT_SQL=DELETE" />

		<!-- GGシステムのリソースファイルを生成(作成区分=2) -->
		<!-- TargetDB=RSC,RPT,RPD で、リソース、帳票マスタ、帳票データを抜き出します。 -->
		<echo message="${url.GE0009} GG" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GE0009}?${url.prm1}${url.GE0009.GG}" />
		</java>

		<!-- GE0009 が保存するﾌｫﾙﾀﾞを変更 -->
		<!-- 帳票システムのサンプルデータを抜き出し(GG) -->
		<!-- GEA03_1.xml,GEA04_1.xml,GEA08_1.xml,GEA11_1.xml -->
		<delete dir="${gg.dir}/db/resource/xml/update" />
		<copy todir="${gg.dir}/db/resource/xml/update" >
			<fileset dir="${ge.dir}/filetemp/${http.user}/GG/db/resource/xml/update" erroronmissingdir="false" >
				<exclude name="**/GE12*" />
				<exclude name="**/GEA10*" />
				<exclude name="**/GE5*" />
			</fileset>
		</copy>

		<!-- DB定義DBの定義データを抜き出しワークを削除(dbdef) -->
		<!-- 6.5.0.0 (2016/09/16) GF2150 が保存するﾌｫﾙﾀﾞを変更 -->
		<delete dir="${gf.dir}/filetemp/${http.user}/GF/db/common/xml/update" />

		<!-- GF2150の定義情報抜出は個別指定方式に変更。 -->
		<property name="url.GF2150"			value="http://localhost:${http.port}/gf/jsp/GF2150/result.jsp" />
		<property name="url.GF2150.prm2"	value="SYSTEM_ID=GF&amp;AST_GE=GE&amp;TBLSYU=D" />
		<property name="url.GF2150.prm3"	value="&amp;GF01=true&amp;GF02=true&amp;GF03=true&amp;GF05=true" />
		<property name="url.GF2150.prm4"	value="&amp;GF06=true&amp;GF07=true&amp;GF09=true&amp;GF81=true" />

		<echo message="${url.GF2150}" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GF2150}?${url.prm1}${url.GF2150.prm2}${url.GF2150.prm3}${url.GF2150.prm4}" />
		</java>

		<!-- 6.5.0.0 (2016/09/16) GF2150 が保存するﾌｫﾙﾀﾞを変更 -->
		<delete dir="${gf.dir}/db/common/xml/update" />
		<copy todir="${gf.dir}/db/common/xml/update" preservelastmodified="true" overwrite="true" >
			<fileset dir="${gf.dir}/filetemp/${http.user}/GF/db/common/xml/update"
								erroronmissingdir="false" excludes="**/backup/**,**/Thumbs.db" />
		</copy>

		<!-- サンプルデータ抜き出しワークを削除(sample) -->
		<delete dir="${gf.dir}/filetemp/${http.user}/GE/db/common/xml/sample" />
		<delete dir="${gf.dir}/filetemp/${http.user}/GF/db/common/xml/sample" />
		<delete dir="${gf.dir}/filetemp/${http.user}/GG/db/common/xml/sample" />	<!-- 8.0.0.0 GG 追加 -->

		<!-- アドレスが長いので、パラメータ化します。 -->
		<!-- 7.0.1.4 (2018/11/26) GF46,GF60,GF61,GF62,GF63,GF64,GF65,GF66,GF67,GF68,GF69 廃止 -->
		<!-- 8.1.0.4 (2022/01/28) GE38,GE39,GE57,GE58,GG04 廃止 -->
		<property name="url.GF7110"		value="http://localhost:${http.port}/gf/jsp/GF7110/result.jsp" />
		<property name="url.GF7110.gf"	value="SYSTEM_ID=GF&amp;TABLES=GF41,GF42,GF43,GF44,GF45,GF19,GF27,GF28,BONUS,DEPT,EMP,SALGRADE,CONTACTS,PERSON_TABLE" />
<!--	<property name="url.GF7110.ge"	value="SYSTEM_ID=GE&amp;TABLES=GE18,GE38,GE39,GE50,GE51,GE52,GE53,GE54,GE55,GE56,GE57,GE58,GE70,GE71,GE72,GE80,GE81,GE82" />	-->
		<property name="url.GF7110.ge"	value="SYSTEM_ID=GE&amp;TABLES=GE18,GE50,GE51,GE52,GE53,GE54,GE55,GE56,GE70,GE71,GE72,GE80,GE81,GE82" />
<!--	<property name="url.GF7110.gg"	value="SYSTEM_ID=GG&amp;TABLES=GG01,GG02,GG03,GG04,GG10,GG11" />	-->
		<property name="url.GF7110.gg"	value="SYSTEM_ID=GG&amp;TABLES=GG01,GG02,GG03,GG10,GG11" />

		<!-- GE サンプル画面のサンプルデータを抜き出し -->
		<echo message="${url.GF7110} GF" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GF7110}?${url.prm1}${url.GF7110.gf}" />
		</java>

		<!-- 6.5.0.0 (2016/09/16) GF7110 が保存するﾌｫﾙﾀﾞを変更 -->
		<copy todir="${gf.dir}/db/common/xml/sample" preservelastmodified="true" overwrite="true" >
			<fileset dir="${gf.dir}/filetemp/${http.user}/GF/db/common/xml/sample"
								erroronmissingdir="false" excludes="**/backup/**,**/Thumbs.db" />
		</copy>

		<!-- GF サンプル画面のサンプルデータを抜き出し -->
		<echo message="${url.GF7110} GE" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GF7110}?${url.prm1}${url.GF7110.ge}" />
		</java>

		<!-- 6.5.0.0 (2016/09/16) GF7110 が保存するﾌｫﾙﾀﾞを変更 -->
		<copy todir="${ge.dir}/db/common/xml/sample" preservelastmodified="true" overwrite="true" >
			<fileset dir="${gf.dir}/filetemp/${http.user}/GE/db/common/xml/sample"
								erroronmissingdir="false" excludes="**/backup/**,**/Thumbs.db" />
		</copy>

		<!-- 8.0.0.0 GG サンプル画面のサンプルデータを抜き出し -->
		<echo message="${url.GF7110} GG" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GF7110}?${url.prm1}${url.GF7110.gg}" />
		</java>

		<!-- 6.5.0.0 (2016/09/16) GF7110 が保存するﾌｫﾙﾀﾞを変更 -->
		<copy todir="${gg.dir}/db/common/xml/sample" preservelastmodified="true" overwrite="true" >
			<fileset dir="${gf.dir}/filetemp/${http.user}/GG/db/common/xml/sample"
								erroronmissingdir="false" excludes="**/backup/**,**/Thumbs.db" />
		</copy>

		<!-- アドレスが長いので、パラメータ化します。 -->
		<property name="url.DOC08" value="http://localhost:${http.port}/gf/jsp/DOC08/result.jsp" />

		<!-- タグリブクイックリファレンスのデータを抜き出し -->
		<!-- 5.6.3.4 (2013/04/26) 抜き出した結果は、doc/taglib/ ではなく、jsp/common に落とします -->
		<echo message="${url.DOC08}?${url.prm1}PRE_FIX=og" />
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-errEx=true" />
			<arg value="-encode=UTF-8" />
			<arg value="-out=${jsp.dir}/common/quickReference.html" />
			<arg value="${url.DOC08}?${url.prm1}PRE_FIX=og" />
		</java>
		<replace file="${jsp.dir}/common/quickReference.html" encoding="UTF-8" token="/gf/jsp/" value="../" />
	</target>

	<!-- ************************************************************************ -->
	<!-- * DBスクリプトの抜き出し(全種類) target=table	6.5.0.0 (2016/09/16) 大幅修正 -->
	<!-- ************************************************************************ -->
	<target name="table">
		<echo message="DBスクリプト生成" />

		<!-- 6.5.0.0 (2016/09/16) GF2140 が保存するﾌｫﾙﾀﾞを変更 -->
		<!-- DBスクリプトの抜き出しワークを削除(db) -->
		<delete dir="${gf.dir}/filetemp/${http.user}/GE/db" />
		<delete dir="${gf.dir}/filetemp/${http.user}/GF/db" />
		<delete dir="${gf.dir}/filetemp/${http.user}/GG/db" />	<!-- 8.0.0.0 GG 追加 -->

		<!-- 移行側の削除対象は、01_TABLE,02_INDEX,03_SEQ,08_CMNT とする。(07_ARGはとりあえず消さない) -->
		<property name="delDir"	value="01_TABLE/**,02_INDEX/**,03_SEQ/**,08_CMNT/**" />

		<!-- アドレスが長いので、パラメータ化します。 -->
		<property name="url.GF2140"	value="http://localhost:${http.port}/gf/jsp/GF2140/result.jsp" />
		<property name="url.prm1"	value="command=NEW&amp;maxRowCount=0&amp;" />
		<property name="url.prm2"	value="TBLSYU=D&amp;TABLE=true&amp;INDEX=true&amp;SEQ=true&amp;VIEW=true&amp;" />
		<property name="url.prm3"	value="SRC=true&amp;TRG=true&amp;ARG=true&amp;CMNT=true&amp;XML=true&amp;DROP=true&amp;" />

		<!-- ******************************************************************************************* -->
		<!-- * DBスクリプトの抜き出し ORACLE , HSQLDB , MYSQL , POSTGRES , FIREBIRD , SQLSERVER , DERBY  -->
		<!-- ******************************************************************************************* -->
		<!-- antcall で、書き換えできない property の設定値を、param で渡すことが出来る。つまり、値の書き換え -->
		<!-- ただし、毎回、新しい実行環境で build.xml のパースから行われるため、処理速度は遅くなっています。 -->
		<!-- ant-contrib のループ処理を導入するほうが、素直かもしれない。 -->
		<antcall target="tableout"><param name="db.type" value="ORACLE"		/></antcall>
		<antcall target="tableout"><param name="db.type" value="HSQLDB"		/></antcall>
		<antcall target="tableout"><param name="db.type" value="MYSQL"		/></antcall>
		<antcall target="tableout"><param name="db.type" value="POSTGRES"	/></antcall>
		<antcall target="tableout"><param name="db.type" value="FIREBIRD"	/></antcall>
		<antcall target="tableout"><param name="db.type" value="SQLSERVER"	/></antcall>
		<antcall target="tableout"><param name="db.type" value="DERBY"		/></antcall>
	</target>

	<!-- ************************************************************************ -->
	<!-- * DBスクリプトの抜き出し(個別処理) target=tableout						  -->
	<!-- ************************************************************************ -->
	<target name="tableout">
		<!-- DBスクリプトの抜き出し(.sql),(.xml) -->
		<delete>
			<fileset dir="${ge.dir}/db/${db.type}/sql/install" includes="${delDir}" erroronmissingdir="false" />
			<fileset dir="${ge.dir}/db/${db.type}/xml/install" includes="${delDir}" erroronmissingdir="false" />
		</delete>

		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.GF2140}?${url.prm1}${url.prm2}${url.prm3}SYSTEM_ID=GE&amp;TYPE=${db.type}" />
		</java>

		<!-- GFシステムのDBスクリプト(Oracle)を生成 -->
		<delete>
			<fileset dir="${gf.dir}/db/${db.type}/sql/install" includes="${delDir}" erroronmissingdir="false" />
			<fileset dir="${gf.dir}/db/${db.type}/xml/install" includes="${delDir}" erroronmissingdir="false" />
		</delete>

		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath" >
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-errEx=true" />
			<arg value="${url.GF2140}?${url.prm1}${url.prm2}${url.prm3}SYSTEM_ID=GF&amp;TYPE=${db.type}" />
		</java>

		<!-- 6.5.0.0 (2016/09/16) GF2140 が保存するﾌｫﾙﾀﾞを変更 -->
		<copy todir="${ge.dir}/db/${db.type}" preservelastmodified="true" overwrite="true">
			<fileset dir="${gf.dir}/filetemp/${http.user}/GE/db/${db.type}"
								erroronmissingdir="false" excludes="**/backup/**,**/Thumbs.db" />
		</copy>
		<copy todir="${gf.dir}/db/${db.type}" preservelastmodified="true" overwrite="true">
			<fileset dir="${gf.dir}/filetemp/${http.user}/GF/db/${db.type}"
								erroronmissingdir="false" excludes="**/backup/**,**/Thumbs.db" />
		</copy>
	</target>

	<!-- ************************************************************************ -->
	<!-- * XMLファイル DB登録 target=dbload										  -->
	<!-- ************************************************************************ -->
	<target name="dbload">
		<echo message="XMLファイル DB登録" />

		<!-- アドレスが長いので、パラメータ化します。 -->
		<!-- 7.4.0.1 (2021/04/23) FORM認証回避のためGEに接続 -->
		<!-- 7.4.0.1 (2021/04/23) 動作させる為に、taglibSave.jsp新規作成し、insertDIRは\込みの環境変数から直書きに変更 -->
		<property name="url.06_INSTALL"	value="http://localhost:${http.port}/${env.CORE_CTXT}/jsp/common/gamen/06_INSTALL/taglibSave.jsp" />
		<property name="url.prm1"		value="useTimeStamp=true&amp;insertDIR=C:/opengionV8/uap/webapps/gf/db/common/xml/" />

		<!-- taglib -->
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.06_INSTALL}?${url.prm1}taglib" />
		</java>

		<!-- sample -->
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.06_INSTALL}?${url.prm1}sample" />
		</java>

		<!-- MIS-DEV02 に、taglib を登録します。 -->
		<property name="url.MIS_DEV02"	value="http://mis-dev02:${http.port}/${env.CORE_CTXT}/jsp/common/gamen/06_INSTALL/taglibSave.jsp" />
		<property name="url.prm2"		value="useTimeStamp=true&amp;insertDIR=G:/opengionV8/uap/webapps/gf/db/common/xml/taglib" />
		<!-- taglib -->
		<java classname="org.opengion.fukurou.util.HttpConnect" classpathref="og.classpath">
			<arg value="-auth=${http.user}:${http.pass}" />
			<arg value="-out=none" />
			<arg value="-errEx=true" />
			<arg value="${url.MIS_DEV02}?${url.prm2}" />
		</java>
	</target>

	<!-- ************************************************************************ -->
	<!-- * ge.warﾌｧｲﾙ生成 target=war											  -->
	<!-- *     7.3.1.1 (2021/02/15) buildから独立させます。						  -->
	<!-- *     実稼働の環境から、ge##${hayabusa.version}.war ﾌｧｲﾙを作成します。	  -->
	<!-- ************************************************************************ -->
	<target name="war">

		<!-- 長いので、変数化します。 -->
		<property name="omitDB"	value="**/resource/**,**/HSQLDB/**,**/MYSQL/**,**/SQLSERVER/**,**/backup/**,**/Thumbs.db" />

<!--	<jar jarfile="${build.dir}/ge##${hayabusa.version}.war" index="true">	8.1.0.2 (2022/01/14) jar → war -->
		<war destfile="${build.dir}/ge##${hayabusa.version}.war" index="true">
			<fileset dir="${ge.dir}"		includes="changes/**/*"		excludes="**/backup/**,**/Thumbs.db" />
			<fileset dir="${ge.dir}"		includes="db/**/*"			excludes="${omitDB}" />
	<!--	<fileset dir="${ge.dir}"		includes="db/common/xml/install/**/*"	excludes="**/backup/**,**/Thumbs.db" />		-->
	<!--	<fileset dir="${ge.dir}"		includes="db/resource/**/*"				excludes="**/backup/**,**/Thumbs.db" />		resourceGE*.jar に入っているので	-->
			<fileset dir="${ge.dir}"		includes="filetemp"			/>			<!-- 空のフォルダ -->
			<fileset dir="${ge.dir}"		includes="help/**/*"		excludes="**/backup/**,**/Thumbs.db" />
			<fileset dir="${ge.dir}"		includes="jsp/**/*"			excludes="**/backup/**,**/Thumbs.db" />
			<fileset dir="${ge.dir}"		includes="log"				/>			<!-- 空のフォルダ -->
			<fileset dir="${ge.dir}"		includes="WEB-INF/**/*"		excludes="**/backup/**,**/Thumbs.db" />
		</war>

		<zip destfile="${build.dir}/gedbs_${hayabusa.version}.zip">
			<fileset dir="${ge.dir}"		includes="dbs/**/*"			excludes="**/backup/**,**/Thumbs.db" />
		</zip>

		<!-- 8.1.0.2 (2022/01/14) MAIL、REP、GE7 を除いた geのwar作成 -->
		<war destfile="${build.dir}/geBase##${hayabusa.version}.war" index="true">
			<fileset dir="${ge.dir}"		includes="db/common/xml/install/**/*"	excludes="**/backup/**,**/Thumbs.db" />
			<fileset dir="${ge.dir}"		includes="filetemp"			/>			<!-- 空のフォルダ -->
			<fileset dir="${ge.dir}"		includes="help/**/*"		excludes="**/backup/**,**/Thumbs.db" />
			<fileset dir="${ge.dir}"		includes="jsp/**/*"			excludes="**/backup/**,**/Thumbs.db,**/MAIL*/**,**/REP*/**,**/GE7*/**" />
			<fileset dir="${ge.dir}"		includes="log"				/>			<!-- 空のフォルダ -->
			<fileset dir="${ge.dir}"		includes="WEB-INF/**/*"		excludes="**/backup/**,**/Thumbs.db,**/resourceGE*.jar" />
			<lib 	file="${src.dir}/resourceBASE*.jar" />
		</war>

<!--	<jar jarfile="${build.dir}/gg##${hayabusa.version}.war" index="true">	8.1.0.2 (2022/01/14) jar → war	-->
		<war destfile="${build.dir}/gg##${hayabusa.version}.war" index="true">
			<fileset dir="${gg.dir}"		includes="changes/**/*"		excludes="**/backup/**,**/Thumbs.db" />
			<fileset dir="${gg.dir}"		includes="db/**/*"			excludes="${omitDB}" />
	<!--	<fileset dir="${gg.dir}"		includes="db/common/**/*"	excludes="**/backup/**,**/Thumbs.db" />		-->
	<!--	<fileset dir="${gg.dir}"		includes="db/resource/**/*"	excludes="**/backup/**,**/Thumbs.db" />		resourceGG*.jar に入っているので	-->
			<fileset dir="${gg.dir}"		includes="filetemp"			/>			<!-- 空のフォルダ -->
			<fileset dir="${gg.dir}"		includes="help/**/*"		excludes="**/backup/**,**/Thumbs.db" />
			<fileset dir="${gg.dir}"		includes="jsp/**/*"			excludes="**/backup/**,**/Thumbs.db" />
			<fileset dir="${gg.dir}"		includes="src/**/*"			excludes="**/backup/**,**/Thumbs.db" />
			<fileset dir="${gg.dir}"		includes="log"				/>			<!-- 空のフォルダ -->
			<fileset dir="${gg.dir}"		includes="WEB-INF/**/*"		excludes="**/backup/**,**/Thumbs.db" />
		</war>

		<zip destfile="${build.dir}/ggdbs_${hayabusa.version}.zip">
			<fileset dir="${gg.dir}"		includes="dbs/**/*"			excludes="**/backup/**,**/Thumbs.db" />
		</zip>
	</target>

	<!-- ************************************************************************ -->
	<!-- * ビルドファイル生成 target=build										  -->
	<!-- *     実稼働の環境ではなく、SVNのローカルを圧縮します。				  -->
	<!-- *     7.3.1.1 (2021/02/15) ge.warﾌｧｲﾙ生成 を、buildから独立させます。	  -->
	<!-- ************************************************************************ -->
	<target name="build">
		<echo message="ビルドファイル生成" />

		<!-- core(ge)パッケージ生成 -->
	<!-- 2018/03/06 core.zip は、作成しません。
		<zip destfile="${build.dir}/openGion${hayabusa.version}_core.zip">
			<fileset dir="${svn.dir}"	includes="uap/webapps/ge/**"			excludes="**/WEB-INF/**" />
			<fileset dir="${svn.dir}"	includes="uap/webapps/ge/WEB-INF/**" />
			<fileset dir="${svn.dir}"	includes="THIRDPARTYLICENSEREADME.html" />
		</zip>
	-->

		<!-- 長いので、分割します -->
		<property name="omit1"	value="**/WEB-INF/**,**/doc/**,**/db/**,**/def/**,**/help/**,**/src/**" />
		<property name="omit2"	value="**/bat/**,**/log/**" />

		<!-- src(uap)パッケージ生成 -->
		<zip destfile="${build.dir}/openGion${hayabusa.version}_src.zip">
			<fileset dir="${gf.dir}/../../../"	includes="dev/${env.ANT_VER}"	/>			<!-- 空のフォルダ -->
			<fileset dir="${svn.dir}"	includes="uap/bin/**"					/>
			<fileset dir="${svn.dir}"	includes="uap/webapps/gf/**"			excludes="${omit1},${omit2}" />
			<fileset dir="${svn.dir}"	includes="uap/webapps/gf/db/**"			excludes="**/resource/**,**/HSQLDB/**,**/MYSQL/**,**/SQLSERVER/**" />
			<fileset dir="${svn.dir}"	includes="uap/webapps/gf/src/**"		excludes="**/META-INF/**,**/xslt/*.xml" />
			<fileset dir="${svn.dir}"	includes="uap/webapps/gf/WEB-INF/**"	excludes="**/lib/*.jar" />
			<fileset dir="${svn.dir}"	includes="THIRDPARTYLICENSEREADME.html" />
			<fileset dir="${svn.dir}"	includes="uap/webapps/gf/doc/RELEASE-NOTES_${release.version}.txt" />
		</zip>

		<!-- src(uap)パッケージ生成 7.2.8.1 (2020/09/18) ge,changes除外、pache 追加 -->
<!-- dev 廃止、src に変更
		<zip destfile="${build.dir}/openGion${hayabusa.version}_src.zip">
			<fileset dir="${svn.dir}/uap/webapps"			includes="gf/src/META-INF/**"	excludes="**/war-tracker" />
			<fileset dir="${svn.dir}/uap/webapps"			includes="gf/src/org/**" />
			<fileset dir="${svn.dir}/uap/webapps"			includes="gf/src/script/**" />
			<fileset dir="${svn.dir}/uap/webapps"			includes="gf/jsp/**" />
			<fileset dir="${svn.dir}/uap/webapps"			includes="gf/pache/**" />
			<fileset dir="${svn.dir}/uap/webapps/gf/doc"	includes="RELEASE-NOTES_${release.version}.txt" />
		</zip>
-->
		<!-- verupパッケージ生成 -->
		<zip destfile="${build.dir}/openGion${hayabusa.version}_verup.zip">
			<!-- verup.zip には、resourceGE*.jar は含めない。 ge.war だけに含める -->
			<fileset dir="${svn.dir}/uap/webapps/ge"		includes="WEB-INF/lib/*.jar" excludes="resourceGE*.jar" />
			<fileset dir="${svn.dir}/uap/webapps/ge"		includes="changes/**" />
			<fileset dir="${svn.dir}/uap/webapps/gf/doc"	includes="RELEASE-NOTES_${release.version}.txt,HowToUpdate.txt" />
		</zip>

		<!-- 8.1.0.4 (2022/01/28) warファイルを、SVN に戻すのは、build のﾀｲﾐﾝｸﾞに変更します。 -->
		<!-- 8.1.2.2 (2022/04/06) SVN にwarアップしません。 -->
	<!--<delete>
			<fileset dir="${svn.dir}/uap/webapps"	includes="ge*.war" />
			<fileset dir="${svn.dir}/uap/webapps"	includes="gg*.war" />
		</delete>

		<copy todir="${svn.dir}/uap/webapps"	preservelastmodified="true" overwrite="true">
			<fileset dir="${build.dir}" includes="ge##${hayabusa.version}.war" />
			<fileset dir="${build.dir}" includes="gg##${hayabusa.version}.war" />
		</copy>-->

		<!-- 7.3.0.0 (2021/01/06) ROOTファイルは、SVN から作成します。 -->
<!-- 現状、作成しない。
		<war destfile="${build.dir}/ROOT.war" index="true">
			<fileset dir="${svn.dir}/uap/webapps/ROOT"		includes="*.jsp"			/>
			<fileset dir="${svn.dir}/uap/webapps/ROOT"		includes="WEB-INF/**/*"		excludes="**/backup/**,**/Thumbs.db"	/>
		</war>
		<delete>
			<fileset dir="${svn.dir}/uap/webapps"	includes="ROOT.war" />
		</delete>
		<copy todir="${svn.dir}/uap/webapps"	preservelastmodified="true" overwrite="true">
			<fileset dir="${build.dir}" includes="ROOT.war"	/>
		</copy>
-->
	</target>

	<!-- ************************************************************************ -->
	<!-- * specシート生成 target=spec											  -->
	<!-- ************************************************************************ -->
	<target name="spec">
		<echo message="specシート生成" />

		<!-- Javaソースの仕様書作成用のXMLファイルを生成、ソースチェック兼用 -->
		<!-- 7.4.4.0 (2021/06/30) taglet廃止し、taglet2のソースをtagletへ移動した為、excludepackagenamesを削除します。 -->
		<javadoc encoding="UTF-8" access="private" sourcepath="${src.dir}"
			packagenames="org.opengion.*" classpathref="og.classpath" >
			<!-- excludepackagenames="org.opengion.fukurou.taglet" -->
			<doclet name="org.opengion.fukurou.taglet.DocTreeSpecific" path="${classes.path}">	<!-- 5.5.4.1 (2012/07/06) path 変更 -->
				<param name="-version" value="${hayabusa.version}" />
				<param name="-outfile" value="${src.dir}/xslt/specific_V8.xml" />
				<!-- 0:なし 1:最小チェック 2:日本語化 3:体裁 4:Verﾁｪｯｸ 5:taglibﾗﾍﾞﾙ -->
				<param name="-debugLevel" value="4" />											<!-- 5.5.4.1 (2012/07/06) -->
			</doclet>
		</javadoc>
	</target>

	<!-- ************************************************************************ -->
	<!-- * check RELEASE-NOTES 情報作成 target=check							  -->
	<!-- ************************************************************************ -->
	<target name="check">
		<echo message="check RELEASE-NOTES 情報" />

		<!-- ソース出力の引数 -->
		<property name="chk_flag" value="${env.CHECK_FLAG}" />

		<!-- 7.4.4.0 (2021/06/30) taglet廃止し、taglet2のソースをtagletへ移動した為、excludepackagenamesを削除します。 -->
		<javadoc encoding="UTF-8" private="true" sourcepath="${src.dir}"
			packagenames="org.opengion.*" classpathref="og.classpath" >
			<!-- excludepackagenames="org.opengion.fukurou.taglet" -->
			<doclet name="org.opengion.fukurou.taglet.DocTreeVerCheck" path="${classes.path}">
				<param name="-version" value="${hayabusa.version}" />
				<param name="-outfile" value="${gf.dir}/RELEASE-NOTES_${hayabusa.version}.txt" />
			</doclet>
		</javadoc>

		<!-- 先週以降に更新されたJSP,JS,CSS,TLDファイルをピックアップ -->
		<tstamp>
			<format property="last.week" pattern="MM/dd/yyyy" offset="-7" unit="day" />
		</tstamp>

		<fileset id="files" dir="${gf.dir}">
			<include name="jsp/**/*.jsp" />
			<include name="src/script/**/*.*" />
			<include name="src/META-INF/*.tld" />
			<include name="WEB-INF/*.tld" />
			<exclude name="**/backup/**" />
			<date datetime="${last.week} 00:00 AM" when="after" />
		</fileset>
		<pathconvert pathsep="&#xA;&#x9;&#x9;" property="filelist" refid="files" />
		<echo file="${gf.dir}/RELEASE-NOTES_${hayabusa.version}.txt" append="yes" encoding="UTF-8" >
	[jsp , js , css , tld更新]
		${filelist}
		</echo>
	</target>

	<!-- ************************************************************************ -->
	<!-- * APPSアーカイブ生成 target=apps										  -->
	<!-- *   従来は、すべての環境をZIP圧縮していましたが、差分更新に変えました。  -->
	<!-- ************************************************************************ -->
	<target name="apps">
		<echo message="APPSアーカイブ生成" />

		<!-- jdk+tomcat(app)パッケージ生成 -->
		<zip destfile="${build.dir}/ogV8_x64_${env.JDK_VER}_${env.TOMCAT_VER}_${env.OPENOFFICE_VER}.zip" >
			<fileset dir="${svn.dir}"	includes="apps/${env.JDK_VER}/**" />
			<fileset dir="${svn.dir}"	includes="apps/${env.TOMCAT_VER}/**" />
			<fileset dir="${svn.dir}"	includes="apps/${env.OPENOFFICE_VER}/**" />	<!-- 8.1.0.4  -->
			<fileset dir="${svn.dir}"	includes="apps/${env.EXT_VER}/**" />		<!-- 7.0.0.0 -->
			<fileset dir="${svn.dir}"	includes="apps/${env.CLD_VER}/**" />		<!-- 8.0.1.0 -->
			<fileset dir="${svn.dir}"	includes="apps/${env.CST_VER}/**" />		<!-- 8.1.1.0 -->
			<fileset dir="${svn.dir}"	includes="THIRDPARTYLICENSEREADME.html,ogReadme.txt" />
		</zip>

		<!-- openOffice(app)パッケージ生成 -->
<!-- 8.1.0.4 (2022/01/28) LibreOfficeに統一されたので、分ける必要なし
		<zip destfile="${build.dir}/${env.OPENOFFICE_VER}.zip" >
			<fileset dir="${svn.dir}"	includes="apps/${env.OPENOFFICE_VER}/**" />
		</zip>
-->
	</target>

	<!-- ************************************************************************** -->
	<!-- * jarファイルコピー local → dev02 [ge,gf]				target=copy1		-->
	<!-- *   mis-dev02 の Tomcat 再起動が必要										-->
	<!-- *  現状のバージョンでは、MICS には配布しない			廃止予定			-->
	<!-- * 8.1.1.0 overwrite="true" を外して、新規のみｺﾋﾟｰするように変更			-->
	<!-- ************************************************************************** -->
	<target name="copy1">
		<echo message="jarファイルコピー local → dev02 [ge,gf]" />

		<property name="dev02.dir"	value="//mis-dev02/UAP/opengionV8/uap/webapps" />
<!--	<property name="mics.dir"	value="//mis-dev02/UAP/opengionMICS/uap/webapps" />		-->
		<property name="jarFiles"	value="fukurou*.jar,hayabusa*.jar,plugin*.jar,penguin*.jar,cloud*.jar,jspCommon*.jar" />

	<!-- 6.4.0.4 (2015/12/26) 対象は、ge,gf,gg のみに限定します。-->
		<delete>
			<fileset dir="${dev02.dir}/ge/WEB-INF/lib" includes="${jarFiles},resourceGE*.jar" />
			<fileset dir="${dev02.dir}/gf/WEB-INF/lib" includes="${jarFiles},resourceGF*.jar" />
			<fileset dir="${dev02.dir}/gg/WEB-INF/lib" includes="${jarFiles},resourceGG*.jar" />	<!-- 7.4.2.0 (2021/04/30) -->
		</delete>

		<!-- opengionV8 に、jar ファイル配布 -->
		<copy todir="${dev02.dir}/ge/WEB-INF/lib" preservelastmodified="true" >
			<fileset dir="${src.dir}" includes="${jarFiles},resourceGE*.jar" />
		</copy>
		<copy todir="${dev02.dir}/gf/WEB-INF/lib" preservelastmodified="true" >
			<fileset dir="${src.dir}" includes="${jarFiles},resourceGF*.jar" />
		</copy>
		<copy todir="${dev02.dir}/gg/WEB-INF/lib" preservelastmodified="true" >
			<fileset dir="${src.dir}" includes="${jarFiles},resourceGG*.jar" />		<!-- 7.4.2.0 (2021/04/30) -->
		</copy>
	</target>

	<!-- ************************************************************************** -->
	<!-- * db/jsp/srcファイルコピー local → dev02 [ge,gf,gg]	target=copy2		-->
	<!-- *  現状のバージョンでは、MICS には配布しない								-->
	<!-- * 8.1.1.0 overwrite="true" を外して、新規のみｺﾋﾟｰするように変更			-->
	<!-- ************************************************************************** -->
	<target name="copy2">
		<echo message="db/jsp/srcファイルコピー local → dev02 [ge,gf] , mics[ge]" />

		<property name="dev02.dir"	value="//mis-dev02/UAP/opengionV8/uap/webapps" />
<!--	<property name="mics.dir"	value="//mis-dev02/UAP/opengionMICS/uap/webapps" />		-->

		<copy todir="${dev02.dir}/ge" preservelastmodified="true" >
			<fileset dir="${ge.dir}" includes="db/**,jsp/**" excludes="**/backup/**,**/Thumbs.db" />
		</copy>

		<!-- 7.4.2.0 (2021/04/30) -->
		<copy todir="${dev02.dir}/gg" preservelastmodified="true" >
			<fileset dir="${ge.dir}/../gg" includes="db/**,jsp/**" excludes="**/backup/**,**/Thumbs.db" />
		</copy>

		<copy todir="${dev02.dir}/gf" preservelastmodified="true" >
			<fileset dir="${gf.dir}" includes="changes/**,db/**,doc/**,jsp/**,src/**,*.xml" excludes="**/backup/**,**/Thumbs.db" />
		</copy>

		<copy todir="${dev02.dir}/ge" preservelastmodified="true" >
			<fileset dir="${ge.dir}" includes="changes/**,db/**,doc/**,jsp/**,src/**,*.xml" excludes="**/backup/**,**/Thumbs.db" />
		</copy>
<!--
		<copy todir="${mics.dir}/ge" preservelastmodified="true" >
			<fileset dir="${ge.dir}" includes="db/**,jsp/**" excludes="**/backup/**,**/Thumbs.db" />
		</copy>
-->
	</target>

	<!-- ********************************************************************************** -->
	<!-- * Buildファイルコピー locao,mis-dev02(//mis-dev02/UAP),its-dev2,F: target=copy3	-->
	<!-- * 8.1.1.0 overwrite="true" を外して、新規のみｺﾋﾟｰするように変更					-->
	<!-- ********************************************************************************** -->
	<target name="copy3">
		<echo message="Buildファイルコピー" />

		<!-- * Buildファイルコピー locao,mis-dev02(//mis-dev02/UAP),its-dev2,F: target=copy3 -->
<!-- 8.1.0.2 (2022/01/14) ﾃﾞｨｽｸ容量の関係で、一旦保留
		<copy todir="C:/Build/Release${release.version}" preservelastmodified="true" >
			<fileset dir="${build.dir}" includes="openGion${hayabusa.version}_*.zip" />
			<fileset dir="${build.dir}" includes="ogV8_x64_${env.JDK_VER}_${env.TOMCAT_VER}.zip" />
			<fileset dir="${build.dir}" includes="${env.OPENOFFICE_VER}.zip" />
			<fileset dir="${build.dir}" includes="ge##${hayabusa.version}.war" />
			<fileset dir="${build.dir}" includes="geBase##${hayabusa.version}.war" />
			<fileset dir="${build.dir}" includes="gg##${hayabusa.version}.war" />
			<fileset dir="${build.dir}" includes="ggdb_${hayabusa.version}.zip" />
			<fileset dir="${gf.dir}/doc" includes="RELEASE-NOTES*.txt,opengionAPI_${javadoc.version}.zip" />
		</copy>
-->
		<copy todir="//mis-dev02/UAP/Build/Release${release.version}" preservelastmodified="true" >
			<fileset dir="${build.dir}" includes="openGion${hayabusa.version}_*.zip" />
	<!--	<fileset dir="${build.dir}" includes="ogV8_x64_${env.JDK_VER}_${env.TOMCAT_VER}.zip" />		-->
			<fileset dir="${build.dir}" includes="ogV8_x64_${env.JDK_VER}_${env.TOMCAT_VER}_${env.OPENOFFICE_VER}.zip" />	<!-- 8.1.0.4 office 追加 -->
			<fileset dir="${build.dir}" includes="${env.OPENOFFICE_VER}.zip" />
			<fileset dir="${build.dir}" includes="ge##${hayabusa.version}.war" />		<!-- 6.8.2.4 war もコピーしておきます。 -->
			<fileset dir="${build.dir}" includes="geBase##${hayabusa.version}.war" />	<!-- 8.1.0.2 (2022/01/14) -->
			<fileset dir="${build.dir}" includes="gg##${hayabusa.version}.war" />		<!-- 7.4.2.0 (2021/04/30) -->
			<fileset dir="${build.dir}" includes="ggdb_${hayabusa.version}.zip" />		<!-- 8.1.0.2 (2022/01/14) -->
			<fileset dir="${gf.dir}/doc" includes="RELEASE-NOTES*.txt,opengionAPI_${javadoc.version}.zip" />
		</copy>

		<copy todir="//its-dev2/shares/uap/Build/Release${release.version}" preservelastmodified="true" >
			<fileset dir="${build.dir}" includes="openGion${hayabusa.version}_*.zip" />
<!--		<fileset dir="${build.dir}" includes="ogV8_x64_${env.JDK_VER}_${env.TOMCAT_VER}.zip" />		-->
			<fileset dir="${build.dir}" includes="ogV8_x64_${env.JDK_VER}_${env.TOMCAT_VER}_${env.OPENOFFICE_VER}.zip" />	<!-- 8.1.0.4 office 追加 -->
			<fileset dir="${build.dir}" includes="${env.OPENOFFICE_VER}.zip" />
			<fileset dir="${build.dir}" includes="ge##${hayabusa.version}.war" />		<!-- 6.8.2.4 war もコピーしておきます。-->
			<fileset dir="${build.dir}" includes="geBase##${hayabusa.version}.war" />	<!-- 8.1.0.2 (2022/01/14) -->
			<fileset dir="${build.dir}" includes="gg##${hayabusa.version}.war" />		<!-- 7.4.2.0 (2021/04/30) -->
			<fileset dir="${build.dir}" includes="ggdb_${hayabusa.version}.zip" />		<!-- 8.1.0.2 (2022/01/14) -->
			<fileset dir="${gf.dir}/doc" includes="RELEASE-NOTES*.txt,opengionAPI_${javadoc.version}.zip" />
		</copy>

		<copy todir="F:/400_製品ドキュメント/440_openGion/01_openGion/999_builds/Release${release.version}" preservelastmodified="true" >
			<fileset dir="${build.dir}" includes="openGion${hayabusa.version}_*.zip" />
<!--		<fileset dir="${build.dir}" includes="ogV8_x64_${env.JDK_VER}_${env.TOMCAT_VER}.zip" />		-->
			<fileset dir="${build.dir}" includes="ogV8_x64_${env.JDK_VER}_${env.TOMCAT_VER}_${env.OPENOFFICE_VER}.zip" />	<!-- 8.1.0.4 office 追加 -->
			<fileset dir="${build.dir}" includes="${env.OPENOFFICE_VER}.zip" />
			<fileset dir="${build.dir}" includes="ge##${hayabusa.version}.war" />		<!-- 6.8.2.4 war もコピーしておきます。-->
			<fileset dir="${build.dir}" includes="geBase##${hayabusa.version}.war" />	<!-- 8.1.0.2 (2022/01/14) -->
			<fileset dir="${build.dir}" includes="gg##${hayabusa.version}.war" />		<!-- 7.4.2.0 (2021/04/30) -->
			<fileset dir="${build.dir}" includes="ggdb_${hayabusa.version}.zip" />		<!-- 8.1.0.2 (2022/01/14) -->
			<fileset dir="${gf.dir}/doc" includes="RELEASE-NOTES*.txt,opengionAPI_${javadoc.version}.zip" />
		</copy>
	</target>

	<!-- ************************************************************************** -->
	<!-- * jarファイルコピー local → dev02/verup [ge,gf]	target=copy4			-->
	<!-- *   mis-dev02 の Tomcat 再起動をadmin画面から行う							-->
	<!-- * 8.1.1.0 overwrite="true" を外して、新規のみｺﾋﾟｰするように変更			-->
	<!-- ************************************************************************** -->
	<target name="copy4">
		<echo message="jarファイルコピー local → dev02 [ge,gf]" />

		<property name="dev02.dir"	value="//mis-dev02/UAP/opengionV8/uap/verup" />
		<property name="jarFiles"	value="cloud*.jar,fukurou*.jar,hayabusa*.jar,jspCommon*.jar,penguin*.jar,plugin*.jar,resourceGF*.jar" />

		<!-- 一旦、verupフォルダをすべて空にします。 -->
		<delete>
			<fileset dir="${dev02.dir}" includes="*.jar,*.war" />
		</delete>

		<!-- verupフォルダに、jar と war ファイル配布 -->
		<copy tofile="${dev02.dir}/ge.war" preservelastmodified="true"
				file="${build.dir}/ge##${hayabusa.version}.war" />

		<!-- 7.4.2.0 (2021/04/30) -->
		<copy tofile="${dev02.dir}/gg.war" preservelastmodified="true"
				file="${build.dir}/gg##${hayabusa.version}.war" />

		<copy todir="${dev02.dir}" preservelastmodified="true" >
			<fileset dir="${src.dir}" includes="${jarFiles}" />
		</copy>
	</target>
</project>
